Skip to main content
POST
Expire point bucket

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Identifies the loyalty program. Format lprg_[a-f0-9]+.

Pattern: ^lprg_[a-f0-9]+$
memberId
string
required

Identifies the member. Format lmbr_[a-f0-9]+.

Pattern: ^lmbr_[a-f0-9]+$
cardId
string
required

Identifies the loyalty card. Format lcrd_[a-f0-9]+.

Pattern: ^lcrd_[a-f0-9]+$
bucketId
string
required

Identifies the points expiration bucket. Format lcpeb_[a-f0-9]+.

Pattern: ^lcpeb_[a-f0-9]+$

Response

Result of the points expiration.

Response body schema for POST /v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/expiring-points/{bucketId}/expire.

transaction
object
required

The created ADMIN_POINTS_EXPIRATION card transaction.

status
enum<string>
required

Result status. The API endpoint returns TRANSACTION_CREATED.

Available options:
TRANSACTION_CREATED
message
enum<string>
required

Human-readable result message - "Points expiration transaction created".

Available options:
Points expiration transaction created